Page MenuHomePhabricator

efl_ui_tab_pager: remove the setter for tab_bar
ClosedPublic

Authored by bu5hm4n on Aug 23 2019, 10:46 AM.

Details

Summary

the setter of the tab_bar here is quite useless. If you set it after
something else was set, the item situation is not clear anymore, there
is more in the spotlight than in the bar. You cannot use the widget
without tab bar. So the logical consequence for me was that the pager
create the tab bar by itself, and you can just access it via a getter.

Depends on D9730

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 23 2019, 10:46 AM
bu5hm4n requested review of this revision.Aug 23 2019, 10:46 AM
bu5hm4n updated this revision to Diff 24585.Aug 28 2019, 11:43 PM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

woohyun accepted this revision.Aug 29 2019, 4:23 AM

Ok. As we talked - let's add setter when we really need it.

This revision is now accepted and ready to land.Aug 29 2019, 4:23 AM
Closed by commit rEFL3cc427234ef0: efl_ui_tab_pager: remove the setter for tab_bar (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 29 2019, 5:43 AM
This revision was automatically updated to reflect the committed changes.